National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2008-2079 Detail

Description

MySQL 4.1.x before 4.1.24, 5.0.x before 5.0.60, 5.1.x before 5.1.24, and 6.0.x before 6.0.5 allows local users to bypass certain privilege checks by calling CREATE TABLE on a MyISAM table with modified (1) DATA DIRECTORY or (2) INDEX DIRECTORY arguments that are within the MySQL home data directory, which can point to tables that are created in the future.

Source:  MITRE      Last Modified:  05/05/2008

Evaluator Description

Per http://www.securityfocus.com/bid/29106 and http://secunia.com/advisories/32222, this vulnerability is remotely exploitable.

Quick Info

CVE Dictionary Entry:
CVE-2008-2079
Original release date:
05/05/2008
Last revised:
09/28/2017
Source:
US-CERT/NIST

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score:
4.6 MEDIUM
Vector:
(AV:N/AC:H/Au:S/C:P/I:P/A:P) (legend)
Impact Subscore:
6.4
Exploitability Subscore:
3.9
CVSS Version 2 Metrics:
Access Vector:
Network exploitable - Victim must voluntarily interact with attack mechanism
Access Complexity:
High
Authentication:
Required to exploit
Impact Type:
Provides unauthorized access, Allows partial confidentiality, integrity, and availability violation; Allows unauthorized disclosure of information; Allows disruption of service

Vendor Statements (disclaimer)

Official Statement from Red Hat (09/02/2009)

This issue did not affect MySQL as supplied with Red Hat Enterprise Linux 3. This issue was addressed for Red Hat Enterprise Linux 4, 5, and Red Hat Application Stack v1, v2: https://rhn.redhat.com/cve/CVE-2008-2079.html

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
http://bugs.mysql.com/bug.php?id=32167 Exploit; Patch External Source CONFIRM http://bugs.mysql.com/bug.php?id=32167
http://dev.mysql.com/doc/refman/4.1/en/news-4-1-24.html External Source CONFIRM http://dev.mysql.com/doc/refman/4.1/en/news-4-1-24.html
http://dev.mysql.com/doc/refman/5.0/en/releasenotes-es-5-0-60.html External Source CONFIRM http://dev.mysql.com/doc/refman/5.0/en/releasenotes-es-5-0-60.html
http://dev.mysql.com/doc/refman/5.1/en/news-5-1-24.html External Source CONFIRM http://dev.mysql.com/doc/refman/5.1/en/news-5-1-24.html
http://dev.mysql.com/doc/refman/6.0/en/news-6-0-5.html External Source CONFIRM http://dev.mysql.com/doc/refman/6.0/en/news-6-0-5.html
http://lists.apple.com/archives/security-announce/2008/Oct/msg00001.html External Source APPLE APPLE-SA-2008-10-09
http://lists.apple.com/archives/security-announce/2009/Sep/msg00004.html External Source APPLE APPLE-SA-2009-09-10-2
http://lists.opensuse.org/opensuse-security-announce/2008-08/msg00006.html External Source SUSE SUSE-SR:2008:017
http://support.apple.com/kb/HT3216 External Source CONFIRM http://support.apple.com/kb/HT3216
http://support.apple.com/kb/HT3865 External Source CONFIRM http://support.apple.com/kb/HT3865
http://www.debian.org/security/2008/dsa-1608 External Source DEBIAN DSA-1608
http://www.mandriva.com/security/advisories?name=MDVSA-2008:149 External Source MANDRIVA MDVSA-2008:149
http://www.mandriva.com/security/advisories?name=MDVSA-2008:150 External Source MANDRIVA MDVSA-2008:150
http://www.redhat.com/support/errata/RHSA-2008-0505.html External Source REDHAT RHSA-2008:0505
http://www.redhat.com/support/errata/RHSA-2008-0510.html External Source REDHAT RHSA-2008:0510
http://www.redhat.com/support/errata/RHSA-2008-0768.html External Source REDHAT RHSA-2008:0768
http://www.redhat.com/support/errata/RHSA-2009-1289.html External Source REDHAT RHSA-2009:1289
http://www.securityfocus.com/bid/29106 Patch External Source BID 29106
http://www.securityfocus.com/bid/31681 Patch External Source BID 31681
http://www.securitytracker.com/id?1019995 External Source SECTRACK 1019995
http://www.ubuntu.com/usn/USN-671-1 External Source UBUNTU USN-671-1
http://www.vupen.com/english/advisories/2008/1472/references External Source VUPEN ADV-2008-1472
http://www.vupen.com/english/advisories/2008/2780 External Source VUPEN ADV-2008-2780
https://exchange.xforce.ibmcloud.com/vulnerabilities/42267 External Source XF mysql-myisam-security-bypass(42267)
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10133 External Source OVAL oval:org.mitre.oval:def:10133

References to Check Content

Identifier:
oval:org.mitre.oval:def:10133
Check System:
http://oval.mitre.org/XMLSchema/oval-definitions-5
Hyperlink:
http://oval.mitre.org/repository/data/DownloadDefinition?id=oval:org.mitre.oval:def:10133

Technical Details

Vulnerability Type (View All)

  • Permissions, Privileges, and Access Control (CWE-264)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:mysql:mysql:4.1.0:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:4.1.1:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:4.1.2:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:4.1.10:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:4.1.11:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:4.1.12:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:4.1.13:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:4.1.14:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:4.1.15:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:4.1.16:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:4.1.17:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:4.1.18:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:4.1.19:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:4.1.20:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:4.1.21:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:4.1.22:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:*:*:*:*:*:*:*:*    versions up to (including) 4.1.23
cpe:2.3:a:mysql:mysql:5.0.0:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.0:alpha:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.1:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.1a:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.2:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.3:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.3a:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.4:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.4a:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.5.0.21:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.6:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.9:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.10:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.10a:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.11:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.12:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.13:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.15:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.19:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.21:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.22:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.23:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.24:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.24a:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.25:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.30:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.32:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.33:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.36:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.37:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.38:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.41:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.42:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.44:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.45:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.50:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.51:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.52:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.54:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.0.56:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.1.3:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.1.4:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.1.5:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.1.5a:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.1.6:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.1.7:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.1.9:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.1.11:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.1.12:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.1.14:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.1.15:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.1.16:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.1.17:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.1.18:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.1.19:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.1.20:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.1.21:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.1.22:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:5.1.23:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:*:*:*:*:*:*:*:*    versions up to (including) 5.1.23a
cpe:2.3:a:mysql:mysql:6.0.0:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:6.0.1:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:6.0.2:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:6.0.3:*:*:*:*:*:*:*
cpe:2.3:a:mysql:mysql:*:*:*:*:*:*:*:*    versions up to (including) 6.0.4

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History 3 change records found - show changes